Subject: RE: [nemo] IPv4 traversal

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 11 Mar 2003 16:50:30 -0000

Hi Erik:

draft-ietf-mobileip-nat-traversal-07.txt is about allowing MIPv4 to go
though NATs which it can't natively (though it could if the registration
had been a little different). 

My draft USES MIPv6 to store the IPv4/UDP states. It all ends up in the
binding cache, and nowhere else in the network (but the NAT itself). The
PAT is maintained by MIP flows. The traversal only works for MIP MNs,
not for any node like Teredo, and uses MIP to setup the tunnel, not TSP.

The idea is simple: build an automatic tunnel based on a tag, very much
like 6to4. But the tag does not point on an end point (end prefix) like
6to4, it points on a UDP/IPv4 tunnel. The ag is not a real IPv4 address
but is enough to be used as a CareOf, long as the resulting packet is
tunnelized in UDP/IPv4. It works with MIP, but it's better with RRH or
HMIP, both allowing to separate the IPv4 end point from the HA.

The rest is in the draft ;)

Pascal

> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]] 
> Sent: mardi 11 mars 2003 16:13
> To: Pascal Thubert (pthubert)
> Cc: [email-masked]
> Subject: Re: [nemo] IPv4 traversal
> 
> 
> > I prepared a paper on Ipv4 traversal, 
> > draft-thubert-nemo-ipv4-traversal-00.txt, but it's too late 
> to submit 
> > (cut off till 3/17). I can send direct copies in the meantime.
> 
> How does this relate to 
> draft-parent-blanchet-ngtrans-tsp-teredo-00.txt
> and draft-ietf-mobileip-nat-traversal-07.txt?
> 
>   Erik
> 
> 
>